Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2015 (closed enhancement: duplicate)

Opened 12 years ago

Last modified 12 years ago

madwifi v0.9.4 doesn't support AR2417(001d).

Reported by: billwu0726@gmail.com Assigned to:
Priority: minor Milestone:
Component: madwifi: driver Version: v0.9.4
Keywords: AR2417 Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

I use AR2417 wireless mini-PCI card and my platform is MIPS. When I install the madwifi driver, the error message is the following

# insmod wlan.o
Using wlan.o
wlan: 0.9.4
# insmod ath_hal.o
Using ath_hal.o
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, REGOP S_FUNC)
# insmod ath_pci.o
Using ath_pci.o
ath_pci: 0.9.4
wifi%d: unable to attach hardware: 'No hardware present or device not yet supported' (HAL status 1)
Trying to vfree() nonexistent vm area (08000000)

I print PCI information is

#cat /proc/pci
 Bus  0, device   2, function  0:
    Class 0200: PCI device 168c:001d (rev 1).
      IRQ 4.
      Master Capable.  No bursts.  Min Gnt=10.Max Lat=28.
      Non-prefetchable 32 bit memory at 0x8000000 [0x800ffff].

The device ID is 0x001d. I check the ID from hal/ah_devid.h and I find madwifi doesn't suuport AR2417(00ld).

#define AR5212_AR5413           0x001b          /* Eagle */
#define AR5212_AR5424           0x001c          /* Condor (PCI express) */
#define AR5212_DEVID_FF19       0xff19          /* XXX PCI express */

My cpu information is

# cat /proc/cpuinfo
processor               : 0
cpu model               : R3000 V0.1
BogoMIPS                : 199.47
wait instruction        : no
microsecond timers      : no
extra interrupt vector  : no
hardware watchpoint     : no
VCED exceptions         : not available
VCEI exceptions         : not available
ll emulations           : 0
sc emulations           : 0

Change History

06/28/08 10:14:11 changed by mrenzmann

  • description changed.
  • summary changed from madwifi doesn't suuport AR2417(00ld). to madwifi v0.9.4 doesn't support AR2417(001d)..

07/09/08 11:57:41 changed by billwu0726@gmai.com

I find the solution. Please refer to #1192

07/31/08 19:02:50 changed by proski

  • status changed from new to closed.
  • resolution set to duplicate.

Making it duplicate of #1192